# ACFBukkitUtil (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFBukkitUtil

Package co.aikar.commands

# Class ACFBukkitUtil

java.lang.Object
co.aikar.commands.ACFBukkitUtil

public class ACFBukkitUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFBukkitUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`blockLocationToString(org.bukkit.Location loc)`
`static String`
`color(String message)`
`static double`
`distance(@NotNull org.bukkit.entity.Entity e1, @NotNull org.bukkit.entity.Entity e2)`
`static double`
`distance(@NotNull org.bukkit.Location loc1, @NotNull org.bukkit.Location loc2)`
`static double`
`distance2d(@NotNull org.bukkit.entity.Entity e1, @NotNull org.bukkit.entity.Entity e2)`
`static double`
`distance2d(@NotNull org.bukkit.Location loc1, @NotNull org.bukkit.Location loc2)`
`static org.bukkit.entity.Player`
`findPlayerSmart(co.aikar.commands.CommandIssuer issuer, String search)`
`static org.bukkit.entity.Player`
`findPlayerSmart(org.bukkit.command.CommandSender requester, String search)`
Deprecated.
`static String`
`formatLocation(org.bukkit.Location loc)`
`static String`
`fullBlockLocationToString(org.bukkit.Location loc)`
`static String`
`fullLocationToString(org.bukkit.Location loc)`
`static org.bukkit.Location`
`getRandLoc(org.bukkit.Location loc, int radius)`
`static org.bukkit.Location`
`getRandLoc(org.bukkit.Location loc, int xzRadius, int yRadius)`
`static @NotNull org.bukkit.Location`
`getRandLoc(org.bukkit.Location loc, int xRadius, int yRadius, int zRadius)`
`static org.bukkit.Location`
`getTargetLoc(org.bukkit.entity.Player player)`
`static org.bukkit.Location`
`getTargetLoc(org.bukkit.entity.Player player, int maxDist)`
`static org.bukkit.Location`
`getTargetLoc(org.bukkit.entity.Player player, int maxDist, double addY)`
`static boolean`
`isValidName(@Nullable String name)`
`static boolean`
`isWithinDistance(@NotNull org.bukkit.entity.Player p1, @NotNull org.bukkit.entity.Player p2, int dist)`
`static boolean`
`isWithinDistance(@NotNull org.bukkit.Location loc1, @NotNull org.bukkit.Location loc2, int dist)`
`static String`
`removeColors(String msg)`
`static String`
`replaceChatString(String message, String replace, String with)`
`static String`
`replaceChatString(String message, Pattern replace, String with)`
`static void`
`sendMsg(org.bukkit.command.CommandSender player, String message)`
Deprecated.
`static org.bukkit.Location`
`stringToLocation(String storedLoc)`
`static org.bukkit.Location`
`stringToLocation(String storedLoc, org.bukkit.World forcedWorld)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFBukkitUtil

public ACFBukkitUtil()

## Method Details

### formatLocation

public static String formatLocation (org.bukkit.Location loc)

### color

public static String color (String message)

### sendMsg

@Deprecated public static void sendMsg (org.bukkit.command.CommandSender player, String message)
Deprecated.
Move to Message Keys on the CommandIssuer

### stringToLocation

public static org.bukkit.Location stringToLocation (String storedLoc)

### stringToLocation

public static org.bukkit.Location stringToLocation (String storedLoc, org.bukkit.World forcedWorld)

### fullLocationToString

public static String fullLocationToString (org.bukkit.Location loc)

### fullBlockLocationToString

public static String fullBlockLocationToString (org.bukkit.Location loc)

### blockLocationToString

public static String blockLocationToString (org.bukkit.Location loc)

### distance

public static double distance (@NotNull @NotNull org.bukkit.entity.Entity e1, @NotNull @NotNull org.bukkit.entity.Entity e2)

### distance2d

public static double distance2d (@NotNull @NotNull org.bukkit.entity.Entity e1, @NotNull @NotNull org.bukkit.entity.Entity e2)

### distance2d

public static double distance2d (@NotNull @NotNull org.bukkit.Location loc1, @NotNull @NotNull org.bukkit.Location loc2)

### distance

public static double distance (@NotNull @NotNull org.bukkit.Location loc1, @NotNull @NotNull org.bukkit.Location loc2)

### getTargetLoc

public static org.bukkit.Location getTargetLoc (org.bukkit.entity.Player player)

### getTargetLoc

public static org.bukkit.Location getTargetLoc (org.bukkit.entity.Player player, int maxDist)

### getTargetLoc

public static org.bukkit.Location getTargetLoc (org.bukkit.entity.Player player, int maxDist, double addY)

### getRandLoc

public static org.bukkit.Location getRandLoc (org.bukkit.Location loc, int radius)

### getRandLoc

public static org.bukkit.Location getRandLoc (org.bukkit.Location loc, int xzRadius, int yRadius)

### getRandLoc

@NotNull public static @NotNull org.bukkit.Location getRandLoc (org.bukkit.Location loc, int xRadius, int yRadius, int zRadius)

### removeColors

public static String removeColors (String msg)

### replaceChatString

public static String replaceChatString (String message, String replace, String with)

### replaceChatString

public static String replaceChatString (String message, Pattern replace, String with)

### isWithinDistance

public static boolean isWithinDistance (@NotNull @NotNull org.bukkit.entity.Player p1, @NotNull @NotNull org.bukkit.entity.Player p2, int dist)

### isWithinDistance

public static boolean isWithinDistance (@NotNull @NotNull org.bukkit.Location loc1, @NotNull @NotNull org.bukkit.Location loc2, int dist)

### findPlayerSmart

public static org.bukkit.entity.Player findPlayerSmart (org.bukkit.command.CommandSender requester, String search)
Deprecated.
Please move to the CommandIssuer version

### findPlayerSmart

public static org.bukkit.entity.Player findPlayerSmart (co.aikar.commands.CommandIssuer issuer, String search)

### isValidName

public static boolean isValidName (@Nullable @Nullable String name)